edu.northwestern.at.utils.xml.jdom

## Class ElementsFilter

- java.lang.Object
- - org.jdom2.filter.AbstractFilter<org.jdom2.Element>
  - - edu.northwestern.at.utils.xml.jdom.ElementsFilter

- All Implemented Interfaces:
    java.io.Serializable, org.jdom2.filter.Filter<org.jdom2.Element>

      public class ElementsFilter
      extends org.jdom2.filter.AbstractFilter<org.jdom2.Element>

  A Filter that only matches one or more `Element` objects.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementsFilter()` Select only the Elements.
    `ElementsFilter(org.jdom2.Namespace namespace)` Select only the Elements with the supplied Namespace.
    `ElementsFilter(java.lang.String[] names)` Select only the Elements with the supplied names in any Namespace.
    `ElementsFilter(java.lang.String[] names, org.jdom2.Namespace namespace)` Select only the Elements with the supplied names and Namespace.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Returns whether the two filters are equivalent (i.e. the matching names and namespace are equivalent).
    `org.jdom2.Element` | `filter(java.lang.Object content)` Check to see if the object matches a predefined set of rules.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.jdom2.filter.AbstractFilter

      `and, filter, matches, negate, or, refine`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementsFilter

          public ElementsFilter()

      Select only the Elements.

    - #### ElementsFilter

          public ElementsFilter(java.lang.String[] names)

      Select only the Elements with the supplied names in any Namespace.
      Parameters:
        `names` - The names of the Element.

    - #### ElementsFilter

          public ElementsFilter(org.jdom2.Namespace namespace)

      Select only the Elements with the supplied Namespace.
      Parameters:
        `namespace` - The namespace the Element lives in.

    - #### ElementsFilter

          public ElementsFilter(java.lang.String[] names,
                        org.jdom2.Namespace namespace)

      Select only the Elements with the supplied names and Namespace.
      Parameters:
        `names` - The names of the Elements.
        `namespace` - The namespace the Elements live in.

  - ### Method Detail

    - #### filter

          public org.jdom2.Element filter(java.lang.Object content)

      Check to see if the object matches a predefined set of rules.
      Parameters:
        `content` - The object to verify.
      Returns:
        `true` if the objected matched a predfined set of rules.

    - #### equals

          public boolean equals(java.lang.Object obj)

      Returns whether the two filters are equivalent (i.e. the matching names and namespace are equivalent).
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - Object to compare against
      Returns:
        true if the two filters are equal

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`